import React from "react";
import { TouchableOpacity, View, useWindowDimensions } from "react-native";

const ReactNativeTouchBar = ({
  onPressLeft = () => {},
  onPressRight = () => {},
  color1 = "#F5487F",
  color2 = "#9B9B9B",
  barWidth = "",
  barHeight = 8,
  borderRadius = 5,
  colorDeciderBool = true,
}) => {
  const { width } = useWindowDimensions();
  function colorDecider(val) {
    return val ? color1 : color2;
  }
  return (
    <View
      style={{
        flexDirection: "row",
        width: barWidth !== "" ? Number(barWidth) : width,
        height: barHeight,
        borderRadius: borderRadius,
      }}
    >
      <TouchableOpacity
        style={{
          ...styles.child,
          width: barWidth !== "" ? barWidth * 0.5 : width * 0.5,
          backgroundColor: colorDecider(colorDeciderBool),
          height: barHeight,
          borderRadius: borderRadius,
        }}
        onPress={onPressLeft}
      />
      <TouchableOpacity
        style={{
          ...styles.child,
          width: barWidth !== "" ? barWidth * 0.5 : width * 0.5,
          height: barHeight,
          backgroundColor: colorDecider(!colorDeciderBool),
          borderRadius: borderRadius,
        }}
        onPress={onPressRight}
      />
    </View>
  );
};

export default ReactNativeTouchBar;
